- Tax Payment Batches
- List batch items
Tax Payment Batches
List batch items
List the items of a batch with their outcome.
GET
/v1/firms/{firmId}/tax-payment-batches/{batchId}/items
curl --request GET \
--url https://public-api.sandbox.remitian.com/v1/firms/{firmId}/tax-payment-batches/{batchId}/items \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'
curl --request GET \
--url https://public-api.sandbox.remitian.com/v1/firms/{firmId}/tax-payment-batches/{batchId}/items \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'Authorizations
bearerAuth
required
string
Access token from POST /v1/auth/token, sent as `Authorization: Bearer {accessToken}`.
Query Parameters
firmId
required
string
Unique identifier of the firm.
batchId
required
string
Unique identifier of the batch.
status
string
Filter by status.
externalIds
string
Filter by your system's identifiers, comma-separated. Repeating the query key is not supported.
pageNumber
integer
Page to retrieve, starting at 1.
pageSize
integer
Items per page.
x-api-key
required
string
API key of your Client Application.
Response
application/json
200
400
401
403
404
OK
items
required
array
Array of batch item objects, in the order they were submitted.
totalCount
required
integer
Total number of items matching the query.
totalPages
required
integer
Total number of pages.
currentPage
integer
The current page number.
pageSize
integer
The page size.
curl --request GET \
--url https://public-api.sandbox.remitian.com/v1/firms/{firmId}/tax-payment-batches/{batchId}/items \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'
curl --request GET \
--url https://public-api.sandbox.remitian.com/v1/firms/{firmId}/tax-payment-batches/{batchId}/items \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'